Bug 430959 - libsoup 2.4 patches for bmpx
libsoup 2.4 patches for bmpx
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: bmpx (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Alexander Kahl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-30 14:42 EST by Dan Winship
Modified: 2008-02-15 15:05 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-15 15:05:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to build bmpx with libsoup-2.4 (13.85 KB, patch)
2008-01-30 14:42 EST, Dan Winship
no flags Details | Diff

  None (edit)
Description Dan Winship 2008-01-30 14:42:25 EST
bmpx is broken in rawhide because of the libsoup upgrade. Here are some patches,
which compile but are otherwise untested.

Alternatively, you might want to wait for bug 430756 (compat-libsoup).

I haven't filed this upstream because I didn't feel like creating an account on
their bugtracker (and because as I said, the patches are completely untested).
Comment 1 Dan Winship 2008-01-30 14:42:25 EST
Created attachment 293476 [details]
patch to build bmpx with libsoup-2.4
Comment 2 Alexander Kahl 2008-02-15 15:05:41 EST
Thank you Dan.

The patch works well (after changing some stuff and adding a regenerated
configure script) but bmpx is broken too heavily due to changes in gcc-4.3, i.e.
too many files are missing an explicit cstring include so I'll wait till
upstream fixes it and remove bmpx from rawhide for now.

Note You need to log in before you can comment on or make changes to this bug.